using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("邮件附件日志")]
[Table("EmailAttachmentLog")]
public class EmailAttachmentLog : BaseFullAuditEntity
{
    [JsonIgnore]
    [ForeignKey("EmailLogId")]
    public EmailLog EmailLog { get; set; }

    /// <summary>
    /// 邮件Id
    /// </summary>
    public Guid EmailLogId { get; set; }

    /// <summary>
    /// 附件名称
    /// </summary>
    public string AttachmentName { get; set; }
    /// <summary>
    /// 附件路径
    /// </summary>
    public string AttachmentPath { get; set; }


}


